Subject: Re: bug#57479: Inkscape can't find python-lxml

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 10 Oct 2022 00:40:04 -0400

Hi,

Leo Famulari <[email-masked]> writes:

> I'm not able to create QR codes in Inkscape.
>
> I try to create a QR code in Inkscape by going through these menus:
> Extensions -> Render -> Barcode -> QR Code
>
> But, when I click "Apply" to create the QR code, Inkscape prints an
> error message like this:
>
> ------
> Traceback (most recent call last):
>   File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/render_barcode_qrcode.py", line 30, in <module>
>     import inkex
>   File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/inkex/__init__.py", line 11, in <module>
>     from .extensions import *
>   File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/inkex/extensions.py", line 34, in <module>
>     from .elements import (
>   File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/inkex/elements/__init__.py", line 9, in <module>
>     from ._parser import SVG_PARSER, load_svg
>   File "/gnu/store/crndrs40jrk5ddfxi7569123lbibhz42-inkscape-1.2.1/share/inkscape/extensions/inkex/elements/_parser.py", line 30, in <module>
>     from lxml import etree
> ModuleNotFoundError: No module named 'lxml'
> ------
>
> Any ideas?

Wrap inkscape with GUIX_PYTHONPATH and 'python-lxml' as an input.  Or
simply install python-lxml (and python) in your user profile.

-- 
Thanks,
Maxim